%define momorel 10

Summary: Free Chinese True Type Font (zh_CN)
Name: truetype-fonts-zh_CN
Version: 2.11
Release: %{momorel}m
License: see "LICENSE"
Group: User Interface/X
Source0: ftp://ftp.ring.gr.jp/pub/GNU/non-gnu/chinese-fonts-truetype/gbsn00lp.ttf.gz
Source1: ftp://ftp.ring.gr.jp/pub/GNU/non-gnu/chinese-fonts-truetype/gkai00mp.ttf.gz
Source2: arphicpl-gb.txt
Source3: LICENSE
Source10: ttfonts-zh_CN.scale
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildPreReq: xorg-x11-font-utils
PreReq: sh-utils, chkfontpath-momonga
NoSource: 0
NoSource: 1

%description
Free Chinese True Type Font (zh_CN) by Arphic company. Read the Arphic Public
License for detail.

%prep
mkdir -p %{name}-%{PACKAGE_VERSION}/doc

%install
rm -rf --preserve-root %{buildroot}
%define instancedir /usr/share/fonts/truetype/chinese-zh_CN
%define xfontdir /usr/share/X11/fonts/truetype-zh_CN

mkdir -p %{buildroot}%{instancedir}
mkdir -p %{buildroot}%{xfontdir}

gzip -cd %{SOURCE0} > %{buildroot}%{instancedir}/gbsn00lp.ttf
gzip -cd %{SOURCE1} > %{buildroot}%{instancedir}/gkai00mp.ttf

for i in gbsn00lp.ttf gkai00mp.ttf ; do
    ln -sf ../../../../..%{_datadir}/fonts/truetype/chinese-zh_CN/$i %{buildroot}%{xfontdir}/$i
done

install -m0644 %{SOURCE10} %{buildroot}%{xfontdir}/fonts.scale

/usr/bin/mkfontdir %{buildroot}%{xfontdir}/

cp %{SOURCE2} $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/doc/
cp %{SOURCE3} $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/doc/

%post
if [ -x /usr/sbin/chkfontpath ]; then
  /usr/sbin/chkfontpath -qa %{xfontdir}
  if ! [ grep /usr/share/X11/fonts/truetype-zh_CN /etc/X11/XftConfig ] >& /dev/null ; then
    echo dir \"/usr/share/X11/fonts/truetype-zh_CN\" >> /etc/X11/XftConfig
  fi
fi

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
  if [ -x /usr/sbin/chkfontpath ]; then
    /usr/sbin/chkfontpath -qr %{xfontdir}
    grep -v /usr/share/X11/fonts/truetype-zh_CN /etc/X11/XftConfig > /etc/X11/XftConfig.new
    mv /etc/X11/XftConfig.new /etc/X11/XftConfig
  fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/doc/arphicpl-gb.txt
%doc $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/doc/LICENSE
%dir %{instancedir}
%dir %{xfontdir}
%{xfontdir}/*.ttf
%{instancedir}/*.ttf
%config(missingok) %{xfontdir}/fonts.dir
%config(missingok) %{xfontdir}/fonts.scale

%ChangeLog
* Sat Mar 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.11-10m)
- revise for xorg-7.0
- change install dir

* Sat Oct 25 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.11-9m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sat May 18 2002 Toru Hoshina <t@kondara.org>
- (2.11-8k)
- mkfontdir tukattendaro korua.

* Sat Nov 10 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (2.11-6k)
- fix SPEC

* Tue Oct 30 2001 Toru Hoshina <t@kondara.org>
- (2.11-4k)
- add/remove XftConfig.

* Sat Sep 15 2001 Toru Hoshina <t@kondara.org>
- (2.11-2k)
